const BUILD_VERSION = "0.2";
const BUILD_LOCALE  = "en-US";

// CalendarHelp install in Mozilla
// builder writes BUILD_VERSION and BUILD_LOCALE above

const projectname = "calendarhelp";
const displayName = "Calendar Help";
const name        = "CalendarHelp";

var failed = false, rc;
try {
	preinstall();
	register();
	install();
	}
catch (e) {
	failed = true;
	alert("Install failed (" + e + ")");
	cancelInstall(rc);
	}
finally {
	if (!failed)
		alert ("Restart Mozilla to complete the installation");
	}
	

function preinstall() {
	rc = initInstall(displayName, name, BUILD_VERSION);
	if (rc == SUCCESS)
		logComment("initInstall OK");
	else {
		logComment("initInstall error " + rc);
		throw "preinstall error " + rc;
		}

	myDir = getFolder("Chrome", projectname);
	logComment("directory: " + myDir);
	setPackageFolder(myDir);

	rc = addFile(
		name + "Chrome",
		"chrome/" + projectname + ".jar",
		getFolder("Chrome"),
		"");
	if (rc == SUCCESS)
		logComment("addFile chrome/" + projectname + ".jar OK");
	else {
		logComment("addFile chrome/" + projectname + ".jar error " + rc);
		throw "preinstall error " + rc;
		}
	}


function register() {
	var source = getFolder("Chrome", projectname + ".jar");
	
	registerChrome(
		PACKAGE | DELAYED_CHROME,
		source,
		"content/" + projectname + "/");

	registerChrome(
		SKIN | DELAYED_CHROME,
		source,
		"skin/classic/" + projectname + "/");

	registerChrome(
		LOCALE | DELAYED_CHROME,
		source,
		"locale/" + BUILD_LOCALE + "/" + projectname + "/");

	rc = getLastError();
	if (rc != SUCCESS) {
		logComment("registerChrome error " + rc);
		throw "register error " + rc;
		}
	}


function install() {
	rc = performInstall();
	if (rc != SUCCESS && rc != REBOOT_NEEDED) {
		logComment("performInstall error " + rc);
		throw "install error " + rc;
		}
	}

